当前位置:论坛首页 > Linux面板 > 求助

【已解答】php 7.0和php 7.3不能共存吗?江湖救急!!

发表在 Linux面板2020-12-9 13:39 [复制链接] 11 721

Debian 9.0 64bit 系统 ,安装的是最新版的宝塔面7.4.6

之前安装了php 7.0 ,现在一个程序需要 php 7.2以上 ,于是就下载php 7.3 ,任务列表显示的安装成功了,于是我添加战点,php版本选择为什么只有老版的php 7.0??

到软件商店一看  php 也只有 7.0在已安装中,/www/server/php中却有 73 文件,我到底安装好了没有啊!!重启服务器和面板都没用!!怎么解决???
使用道具 举报 只看该作者 回复
发表于 2020-12-9 15:03:10 | 显示全部楼层

编译终止了,内存太小,爆了
使用道具 举报 回复 支持 1 反对 0
发表于 2020-12-9 14:59:05 | 显示全部楼层
起码要有512内存
使用道具 举报 回复 支持 1 反对 0
发表于 2020-12-9 14:06:08 | 显示全部楼层
你看看安装完成了没有吧。。
使用道具 举报 回复 支持 反对
发表于 2020-12-9 14:19:36 | 显示全部楼层
wordpress建站安装 发表于 2020-12-9 14:06
你看看安装完成了没有吧。。

我说了任务列表是安装完成的,但是已安装软件里却又没有
使用道具 举报 回复 支持 反对
发表于 2020-12-9 14:26:56 | 显示全部楼层
QQ截图20201209142622.jpg

安装完成后的执行日志截图出来看看
使用道具 举报 回复 支持 反对
发表于 2020-12-9 14:32:00 | 显示全部楼层
赤井秀一 发表于 2020-12-9 14:26
安装完成后的执行日志截图出来看看

现在已经看不到日志了,我重新安装一下
使用道具 举报 回复 支持 反对
发表于 2020-12-9 14:50:13 | 显示全部楼层
本帖最后由 宝塔用户_fspilv 于 2020-12-9 14:51 编辑
赤井秀一 发表于 2020-12-9 14:26
安装完成后的执行日志截图出来看看

确实安装失败了


使用道具 举报 回复 支持 反对
发表于 2020-12-9 14:58:55 | 显示全部楼层
内存过小导致无法编译安装php7.3
你可以把所有环境都停止再安装一次看看能不能装上去
使用道具 举报 回复 支持 反对
发表于 2020-12-9 15:06:40 | 显示全部楼层
河妖 发表于 2020-12-9 14:59
起码要有512内存

好的非常感谢回答,512内存是指空闲内存嘛
使用道具 举报 回复 支持 反对
发表于 2020-12-9 15:07:18 | 显示全部楼层
赤井秀一 发表于 2020-12-9 15:03
编译终止了,内存太小,爆了

好的非常感谢回答
使用道具 举报 回复 支持 反对
发表于 2020-12-9 16:43:31 | 显示全部楼层
安装没成功,应该是报错了
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表